%define module   Scalar-Defer

Name:		perl-%{module}
Version:    0.20
Release:    %mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Lazy evaluation in Perl
Url:		    http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Scalar/%{module}-%{version}.tar.gz
BuildRequires:  perl(Class::InsideOut)
BuildRequires:  perl(Exporter::Lite)
BuildArch:      noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
This module exports two functions, defer and lazy, for constructing values that
are evaluated on demand. It also exports a force function to force evaluation
of a deferred value.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL -n INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/Scalar



%changelog
* Thu Feb 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2009.1
+ Revision: 337803
- update to new version 0.20

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2009.0
+ Revision: 272312
- update to new version 0.18

* Wed Jul 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2009.0
+ Revision: 230638
- update to new version 0.16

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.0
+ Revision: 230280
- update to new version 0.15

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2008.1
+ Revision: 152906
- update to new version 0.14
- update to new version 0.14

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2008.1
+ Revision: 135951
- update to new version 0.12

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.1
+ Revision: 113254
- update to new version 0.11
- update to new version 0.11

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.1
+ Revision: 106608
- import perl-Scalar-Defer


* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.1
- first mdv release 
